Xeonr Developer Docs
API SpecificationPRIVATEAccounts

Upload Avatar

POST
/xeonr.auth.private.v1.AccountService/UploadAvatar

Uploads a custom avatar image for the authenticated user. This will prevent future automatic syncs from identity providers.

Required scopes: auth:account:edit

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

avatarData?string

Raw avatar image bytes (max 2MB)

Formatbyte
Lengthlength <= 2097152
contentType?string

MIME type of the image

Value in"image/png" | "image/jpeg" | "image/webp" | "image/gif"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AccountService/UploadAvatar" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "avatarUrl": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}